---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libInterruptRawMonitor.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x6B0, symBinAddr: 0x29F0, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x1E3A0, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0xB0, offset: 0xB0, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1E4F0, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0x8D04, offset: 0x8D04, size: 0x8, addend: 0x0, symName: __ZL7monitor, symObjAddr: 0x1E4F8, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8D1D, offset: 0x8D1D, size: 0x8, addend: 0x0, symName: __ZL10is_waiting, symObjAddr: 0x1E500, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8DBC, offset: 0x8DBC, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x2D10, symSize: 0x30 }
  - { offsetInCU: 0x9225, offset: 0x9225, size: 0x8, addend: 0x0, symName: _Java_InterruptRawMonitor_waitForCondition, symObjAddr: 0xE90, symBinAddr: 0x2D40, symSize: 0x2B0 }
  - { offsetInCU: 0x975A, offset: 0x975A, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x1140, symBinAddr: 0x2FF0, symSize: 0x70 }
  - { offsetInCU: 0x9856, offset: 0x9856, size: 0x8, addend: 0x0, symName: _Java_InterruptRawMonitor_test, symObjAddr: 0x11B0, symBinAddr: 0x3060, symSize: 0x1E0 }
  - { offsetInCU: 0x9C7A, offset: 0x9C7A, size: 0x8, addend: 0x0, symName: __ZL28check_thread_not_interruptedP7JNIEnv_i, symObjAddr: 0x1390, symBinAddr: 0x3240, symSize: 0xD0 }
  - { offsetInCU: 0x9E8D, offset: 0x9E8D, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1460, symBinAddr: 0x3310, symSize: 0xC0 }
...
